Subject: Re: [clue] Ticket #8 - capture scene coordinates and content attribute

From: "Duckworth, Mark" <[email-masked]>
Date: Fri, 18 May 2012 14:32:17 -0700

Hi Roni,
I changed the subject line to match the discussion.

The units are already part of the capture scene.  See the framework section "6.2.1 Capture scene attributes", the "Scale attribute".

The framework already says all media captures inside a capture scene, that provide spatial information, use the same coordinate system and units.  However, it is not mandatory for every media capture to provide spatial information (values for area of capture and point of capture attributes).  So you are proposing we make it mandatory, that if any media capture in a capture scene provides an area of capture attribute, then all media captures in that scene must also provide an area of capture attribute, is that correct?

And are you also proposing that all media captures within a capture scene must have the same value for the content attribute?

Mark

> -----Original Message-----
> From: Roni Even [mailto:[email-masked]]
> Sent: Friday, May 18, 2012 5:08 PM
> To: Duckworth, Mark; [email-masked]
> Subject: RE: [clue] Ticket #8 - add description text to a capture scene
> 
> Hi Mark,
> I think that this goes back to the question of how we define a capture scene.
> Just saying that each has a unique  co-ordinate system is not enough unless
> we are saying that all media captures inside a capture scene MUST provide
> spatial information using the same co-ordinate systems and units.
> This means that the units can be part of the capture scene. It will also mean
> that room video and presentation are different capture scenes. I think that
> such definition will be in-line with the name "scene"
> 
> Roni
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> > Of Duckworth, Mark
> > Sent: Friday, May 18, 2012 11:47 PM
> > To: [email-masked]
> > Subject: Re: [clue] Ticket #8 - add description text to a capture
> > scene
> >
> > Hi Roni,
> >
> > Thanks for the comments.
> > I didn't mean to say this proposed description attribute is enough to
> > resolve Ticket #8, only that I thought the group agreed we should add
> > the attribute to the framework, related to this ticket.
> >
> > Yes each capture scene is identified by a different coordinate space.
> > From the framework:
> >     "A provider can express spatial relationships between media
> > captures
> >     that are included in the same capture scene. But there is no
> > spatial
> >     relationship between media captures that are in different capture
> > scenes."
> >
> > I think the typical case is for room video and presentation video to
> > be in separate capture scenes.  From the framework:
> >     "A media provider might typically use one capture
> >     scene for main participant media and another capture scene for a
> >     computer generated presentation."
> >
> > I remember people saying it would not be a good idea to prohibit
> > putting a room video capture and a presentation capture into the same
> > capture scene, but I don't know of a case when that would be desired.
> > You suggest maybe having a purpose attribute for the capture scene.
> > If we do that, does that mean every media capture in that scene has that
> > same purpose?   That is okay with me, but I thought others might
> > object.
> >
> > For the whole system description, I thought there is already a
> > standard way to provide "caller ID" information that serves that
> > purpose.  Is that true?
> >
> > Regards,
> > Mark
> >
> > > -----Original Message-----
> > > From: Roni Even [mailto:[email-masked]]
> > > Sent: Friday, May 18, 2012 3:58 PM
> > > To: Duckworth, Mark; [email-masked]
> > > Subject: RE: [clue] Ticket #8 - add description text to a capture
> > > scene
> > >
> > > Hi Mark,
> > > I am not sure about this agreement. My view is that we first need to
> > > understand what is meant by multiple capture scenes. For example is
> > > each identified by a separate co-ordinate space.
> > > When we have a room video and presentation is it two capture scene,
> > if
> > > not then how do I provide the area of interest for the presentation
> > if
> > > the video room is in real co-ordinate (mm).
> > > If they are not the same we need to have a purpose value for the
> > > capture scene which is machine readable.
> > >
> > > I do not object having a human readable description but it is not
> > > enough and it does not provide a way to differentiate between them.
> > > What you can say is that a machine readable description can be used
> > by
> > > a user (!!!!) to select a capture scene if the information is
> > rendered
> > > on a monitor allowing hime to select as part of a menu system.
> > >
> > > As for having user readable information for media capture it can be
> > as
> > > useful as the capture scene description. I think that an important
> > > description is the whole system description ( e.g. Mark's home TP
> > > system)
> > >
> > > Roni Even
> > >
> > >
> > > > -----Original Message-----
> > > > From: [email-masked] [mailto:[email-masked]] On
> > Behalf
> > > > Of Duckworth, Mark
> > > > Sent: Friday, May 18, 2012 7:57 PM
> > > > To: [email-masked]
> > > > Subject: [clue] Ticket #8 - add description text to a capture
> > > > scene
> > > >
> > > > Regarding Ticket #8 - How consumer differentiates between multiple
> > > > capture scenes.
> > > > We discussed this a bit on the list, and on the April 10 phone
> > meeting.
> > > > I think the group agreed we should add a human readable text
> > > > string attribute to a capture scene.
> > > >
> > > > Here is a proposal for adding text to the framework document
> > section
> > > > 6.2.1 Capture scene attributes:
> > > >
> > > > Description attribute
> > > >
> > > > The description attribute is a human readable text string which
> > > > describes the capture scene.  A provider that advertises multiple
> > > > capture scenes may use different descriptions to differentiate
> > > > between them.
> > > >
> > > >
> > > > Do we also want to add a similar description attribute to a media
> > > > capture?
> > > >
> > > > Mark Duckworth
> > > > _______________________________________________
> > > > clue mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/clue
> >
> > _______________________________________________
> > clue mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/clue

---

From: "Roni Even" <[email-masked]>
Date: Sat, 19 May 2012 07:09:48 +0300

Mark,
What I am saying that we need to clarify what is a capture scene, I think
that if we say that all media captures in a scene must provide the area of
capture information with the same units then it becomes clear that it
reflects a set that can be rendered together.
Roni

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Duckworth, Mark
> Sent: Saturday, May 19, 2012 12:32 AM
> To: [email-masked]
> Subject: Re: [clue] Ticket #8 - capture scene coordinates and content
> attribute
> 
> Hi Roni,
> The units are already part of the capture scene.  See the framework
> section "6.2.1 Capture scene attributes", the "Scale attribute".
> 
> The framework already says all media captures inside a capture scene,
> that provide spatial information, use the same coordinate system and
> units.  However, it is not mandatory for every media capture to provide
> spatial information (values for area of capture and point of capture
> attributes).  So you are proposing we make it mandatory, that if any
> media capture in a capture scene provides an area of capture attribute,
> then all media captures in that scene must also provide an area of
> capture attribute, is that correct?
> 
> And are you also proposing that all media captures within a capture
> scene must have the same value for the content attribute?
> 
> Mark
> 
> > Just saying that each has a unique  co-ordinate system is not enough
> > unless we are saying that all media captures inside a capture scene
> > MUST provide spatial information using the same co-ordinate systems
> and units.
> > This means that the units can be part of the capture scene. It will
> > also mean that room video and presentation are different capture
> > scenes. I think that such definition will be in-line with the name
> "scene"
> >
> > Roni
> >
> > > I didn't mean to say this proposed description attribute is enough
> > > to resolve Ticket #8, only that I thought the group agreed we
> should
> > > add the attribute to the framework, related to this ticket.
> > >
> > >     relationship between media captures that are in different
> > > capture scenes."
> > >
> > > putting a room video capture and a presentation capture into the
> > > same capture scene, but I don't know of a case when that would be
> desired.
> > > > I am not sure about this agreement. My view is that we first need
> > > > to understand what is meant by multiple capture scenes. For
> > > > example is each identified by a separate co-ordinate space.
> > > > > Regarding Ticket #8 - How consumer differentiates between
> > > > > multiple capture scenes.
> > > > > describes the capture scene.  A provider that advertises
> > > > > multiple capture scenes may use different descriptions to
> > > > > differentiate between them.
> > > > >
> > > > >
> > > > > Do we also want to add a similar description attribute to a
> > > > > media capture?
> > > > >
> > > > > Mark Duckworth